# Slate - Getting Started with Tilesets

<!-- START doctoc generated TOC please keep comment here to allow auto update -->
<!-- DON'T EDIT THIS SECTION, INSTEAD RE-RUN doctoc TO UPDATE -->
# Contents

- [Step 1: Creating a New Project](#step-1-creating-a-new-project)
  - [Step 2: Drawing Tiles](#step-2-drawing-tiles)
  - [Step 3: Drawing Pixels](#step-3-drawing-pixels)

<!-- END doctoc generated TOC please keep comment here to allow auto update -->

## Step 1: Creating a New Project

Whether you have an existing tileset or wish to create a new one from scratch, the first step is to create a new project. There are two ways to do this: Ctrl+N or via the File menu.

In the screenshot below, we'll use the File menu.

![File menu](https://github.com/mitchcurtis/slate/blob/master/doc/images/slate-getting-started-1.png)

When creating a new project in Slate, you can either start from scratch with a blank tileset, or use an existing tileset.

In the screenshot below, we'll create a new tileset using the default options provided for us.

![Default options](https://github.com/mitchcurtis/slate/blob/master/doc/images/slate-getting-started-2.png)

### Step 2: Drawing Tiles

Now we've got an empty canvas.

![Default options](https://github.com/mitchcurtis/slate/blob/master/doc/images/slate-getting-started-3.png)

In Slate, the editing process is: draw tiles, draw pixels on those tiles. By default, the tool mode is set to tiles ( ![](https://github.com/mitchcurtis/slate/blob/master/doc/images/slate-toolbar-modeToolButton.png) ), so that all tools operate on tiles, rather than pixels.

Let's use the pen tool ( ![](https://github.com/mitchcurtis/slate/blob/master/doc/images/slate-toolbar-penToolButton.png) ) to draw a tile onto the canvas.

![Pen tool](https://github.com/mitchcurtis/slate/blob/master/doc/images/slate-getting-started-4.png)

Notice that the canvas is displayed in both panes. To make it easier to do pixel-perfect editing, each pane can have its own zoom level. Let's try this out by using the mouse's scroll wheel to zoom in on the pane on the right side of the screen:

![Zoom](https://github.com/mitchcurtis/slate/blob/master/doc/images/slate-getting-started-5.png)

The zoom functionality works by using the mouse cursor as the focus point, so that whatever is under the cursor will be in the centre of the pane.

It's also possible to centre the views of both panes over the centre of the canvas by clicking View > Centre.

![Zoom](https://github.com/mitchcurtis/slate/blob/master/doc/images/slate-getting-started-6.png)

To pan (move the position of) a pane's view, hold the space key down while dragging.

### Step 3: Drawing Pixels

Now that we have a tile on the canvas, let's draw some pixels onto it.

To draw pixels, ensure that the tile mode tool button is unchecked. You can also use the T key to toggle the tool mode.

![Pen mode](https://github.com/mitchcurtis/slate/blob/master/doc/images/slate-getting-started-7.png)

Using the same pen tool ( ![](https://github.com/mitchcurtis/slate/blob/master/doc/images/slate-tool-penToolButton.png) ) that we used earlier, draw on the tile.

![Drawing pixels](https://github.com/mitchcurtis/slate/blob/master/doc/images/slate-getting-started-8.png)

Notice that the tileset swatch in the lower right side of the screen contains the changes we just made.

Most actions in Slate can be undone and redone, using either the tool buttons shown below, or the standard keyboard shortcuts for your operating system.

![Undo, Redo](https://github.com/mitchcurtis/slate/blob/master/doc/images/slate-getting-started-9.png)

*WIP*
